import { __assign } from "tslib";
// @ts-nocheck
import React from 'react';
import { forwardRefWithAs } from '../../utils/types/PropsWithAsAttributes';
import { BlogCard } from '../BlogCard/BlogCard';
import { DefaultCard } from '../DefaultCard/DefaultCard';
import { EventCard } from '../EventCard/EventCard';
import { ExternalCard } from '../ExternalCard/ExternalCard';
import { TestimonialCard } from '../TestimonialCard/TestimonialCard';
import { VideoCard } from '../VideoCard/VideoCard';
// Post = 0,
// ExternalPost = 1,
// Video = 2,
// Event = 3,
// Landing = 4,
// News = 5,
// Offering = 6,
// Testimonial = 7
export var EssenceCard = forwardRefWithAs(function (props, ref) {
    var contentType = props.contentType;
    if (contentType === 0) {
        return React.createElement(BlogCard, __assign({}, props));
    }
    if (contentType === 1) {
        // return 'none card for ExternalPost';
        return React.createElement(ExternalCard, __assign({}, props));
    }
    if (contentType === 2) {
        return React.createElement(VideoCard, __assign({}, props));
    }
    if (contentType === 3) {
        return React.createElement(EventCard, __assign({}, props));
    }
    if (contentType === 4) {
        return React.createElement(DefaultCard, __assign({}, props));
    }
    if (contentType === 5) {
        return React.createElement(DefaultCard, __assign({}, props));
    }
    if (contentType === 6) {
        return React.createElement(DefaultCard, __assign({}, props));
    }
    if (contentType === 7) {
        return React.createElement(TestimonialCard, __assign({}, props));
    }
    return 'none contentType in essencecard';
    // return <BlogCard {...props} />;
});
